# Clear attributes from triangulation

from maptek import vulcan

input_tri = 'pit_solid.00t'  # triangulation to use

with vulcan.tri_attributes(input_tri) as tri:  # open triangulation in read mode
    attr_dict = tri.get_hash()  # create dictionary of attributes with values
    print(f"Before: {attr_dict}")

    tri.clear()  # true if the attribute exists, false if the attribute does not exist

    attr_dict = tri.get_hash()  # create dictionary of attributes with values
    print(f"After: {attr_dict}")